using System;
using System.Diagnostics;
using System.IO;
using System.Windows.Forms;
using Tekla.Structures.Model.Operations;
using TSM = Tekla.Structures.Model;

namespace Tekla.Technology.Akit.UserScript
{
    public class Script
    {
        public static void Run(Tekla.Technology.Akit.IScript akit)
        {
            string version = "2018i";
            
            string TSBinaryDir = "";
            TSM.Model CurrentModel = new TSM.Model();
            Tekla.Structures.TeklaStructuresSettings.GetAdvancedOption("XSDATADIR", ref TSBinaryDir);

            string ApplicationName = @"Quadri_Connector.exe";
            string ApplicationPath = Path.Combine(TSBinaryDir, "Environments\\common\\extensions\\Quadri_Connector\\" + ApplicationName);
            
            Process NewProcess = new Process();

            if (File.Exists(ApplicationPath))
            {
                Operation.DisplayPrompt("Starting Quadri Connector...");
                NewProcess.StartInfo.FileName = ApplicationPath;

                try
                {
                    NewProcess.Start();
                    NewProcess.WaitForExit();
                }
                catch
                {
                    MessageBox.Show(ApplicationPath + " failed to start.");
                }
            }
            else
            {
                MessageBox.Show(ApplicationPath + " not found.");
            }
        }
    }
}
